Name:		nerd-dictation

%global commit 53ab129a5ee0f8b5df284e8cf2229219b732c59e
%global short_commit %(c=%{commit}; echo ${c:0:7})
%define date 20220907

Summary:	Offline Speech to Text for Desktop
Version:	git%{date}
Release:	%mkrel 1
Source0:	https://github.com/ideasman42/nerd-dictation/archive/%{short_commit}.tar.gz
URL:		https://github.com/ideasman42/nerd-dictation
Group:		Office/Utilities
License:	GPL v3.0
BuildArch:	noarch
Requires:	python3dist(vosk)
# pulseaudio-utils provides parec
Requires: 	pulseaudio-utils
Recommends:	xdotool

%description
Offline Speech to Text for Desktop, using Vosk-api. This is a utility that provides simple access speech to text
for using in Linux without being tied to a desktop environment.

%prep
%autosetup -n %{name}-%{commit}

%install
mkdir -p %{buildroot}/examples
cp -R examples/* %{buildroot}/examples/
cp *.rst %{buildroot}/
cp LICENSE %{buildroot}/LICENSE
mkdir -p %{buildroot}%{_bindir}
install -m 755 nerd-dictation %{buildroot}%{_bindir}/

%files
%doc /readme.rst
%doc /hacking.rst
%doc /changelog.rst
%doc /examples/*
%doc /readme-sox.rst
%doc /readme-ydotool.rst
%license /LICENSE
/%{_bindir}/nerd-dictation


%changelog
* Thu Sep 22 2022 papoteur <papoteur> git20220907-1.mga9
+ Revision: 1891598
- imported package nerd-dictation

